Summary:        Text to XML Parser
Name:           chaperon
Version:        3.0
Release:        0.dev.20040205.1jpp
Epoch:          0
License:        Apache Software License -style
URL:            http://chaperon.sourceforge.net/
Group:          Text Processing/Markup/XML
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        chaperon-3.0-dev-20040205.tar.gz
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/chaperon login
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/chaperon export -D 20040205 chaperon

Patch0:		chaperon-3.0-ExtendedParserTransformer.patch
Patch1:		chaperon-3.0-LexicalTransformer.patch
Patch2:		chaperon-3.0-ParserTransformer.patch


BuildRequires:  ant >= 0:1.6, jpackage-utils >= 0:1.5
BuildRequires:  xmlunit
BuildRequires:  castor-xml
BuildRequires:  cocoon-core
BuildRequires:  izpress
BuildRequires:  jakarta-commons-cli
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  xalan-j2
BuildRequires:  xml-commons-apis
BuildRequires:  excalibur-avalon-framework-api
BuildRequires:  excalibur-pool-api
BuildRequires:  excalibur-sourceresolve
BuildRequires:  excalibur-store
BuildRequires:  excalibur-xmlutil


Requires:	castor-xml
Requires:	cocoon-core
Requires:	izpress
Requires:	jakarta-commons-cli
Requires:	jakarta-commons-logging
Requires:	xalan-j2
Requires:       xml-commons-apis
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Chaperon is a project that converts structured text to XML. 
It includes a strong LALR(1) parser to parse the text and 
a tree builder, which creates an XML document. 
Chaperon is a lexical scanner, a parser generator, a parser, 
a tree builder and an XML generator all in one package. 
Chaperon can parse structured text using a grammar and then 
generate an XML representation of the parsed text, so it is 
easy to use Chaperon as a converter for text files. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav

%build
build-jar-repository -s -p lib/optional \
xalan-j2 \
xmlunit \
ant \
commons-cli \
commons-lang \
castor-xml \
cocoon \
excalibur/excalibur-pool-api \
excalibur/excalibur-sourceresolve \
excalibur/excalibur-store \
excalibur/excalibur-xmlutil \
excalibur/avalon-framework-api \


build-jar-repository -s -p lib/core \
commons-logging \
xml-commons-apis \


build-jar-repository -s -p tools/centipede/lib \
izpress \



ant package test javadocs

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/%{name}/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
cp -p build/%{name}/%{name}-contrib.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-contrib-%{version}.jar
cp -p build/%{name}/%{name}-scratchpad.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-scratchpad-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/%{name}/javadocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


# manual
#rm -rf docs/apidocs
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp legal/LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Tue Oct 18 2005 Ralph Apel <r.apel@r-apel.de> - 0:3.0-0.dev.20040205.1jpp
- First JPackage build
